#ifndef KSPAINTER_H
#define KSPAINTER_H

#include <tqpainter.h>
#include <tqobject.h>

class KSPainter 
{
public:
  static void initOptColours();
  static void colourDrawText(TQPainter *p, int startx, int starty, char *str, int length = -1);
  static const int startspecial;
  static const int maxcolour;
  static const int optcolours;
  static TQColor num2colour[16+8];
  static int colour2num(const TQColor &colour);
  
  static const TQColor brown;
  static const TQColor orange;
  static const TQColor lightCyan;
  static const TQColor lightBlue;
  static const TQColor pink;
};

#endif
